org.eclipse.jetty.util.log

## Class Slf4jLog

- java.lang.Object
- - org.eclipse.jetty.util.log.AbstractLogger
  - - org.eclipse.jetty.util.log.Slf4jLog

- All Implemented Interfaces:
    Logger

      public class Slf4jLog
      extends AbstractLogger

  Slf4jLog Logger

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Slf4jLog()`
    `Slf4jLog(String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `debug(String msg, Object... args)` Formats and logs at debug level.
    `void` | `debug(String msg, Throwable thrown)` Logs the given message at debug level, with Throwable information.
    `void` | `debug(Throwable thrown)` Logs the given Throwable information at debug level
    `String` | `getName()`
    `void` | `ignore(Throwable ignored)` Ignore an exception.
    `void` | `info(String msg, Object... args)` Formats and logs at info level.
    `void` | `info(String msg, Throwable thrown)` Logs the given message at info level, with Throwable information.
    `void` | `info(Throwable thrown)` Logs the given Throwable information at info level
    `boolean` | `isDebugEnabled()`
    `protected Logger` | `newLogger(String fullname)` Create a Child Logger of this Logger.
    `void` | `setDebugEnabled(boolean enabled)` Mutator used to turn debug on programmatically.
    `String` | `toString()`
    `void` | `warn(String msg, Object... args)` Formats and logs at warn level.
    `void` | `warn(String msg, Throwable thrown)` Logs the given message at warn level, with Throwable information.
    `void` | `warn(Throwable thrown)` Logs the given Throwable information at warn level

    - ### Methods inherited from class org.eclipse.jetty.util.log.AbstractLogger

      `getLogger`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Slf4jLog

          public Slf4jLog()
                   throws Exception

      Throws:
        `Exception`

    - #### Slf4jLog

          public Slf4jLog(String name)

  - ### Method Detail

    - #### getName

          public String getName()

      Returns:
        the name of this logger

    - #### warn

          public void warn(String msg,
                  Object... args)

      Description copied from interface: `Logger`
      Formats and logs at warn level.
      Parameters:
        `msg` - the formatting string
        `args` - the optional arguments

    - #### warn

          public void warn(Throwable thrown)

      Description copied from interface: `Logger`
      Logs the given Throwable information at warn level
      Parameters:
        `thrown` - the Throwable to log

    - #### warn

          public void warn(String msg,
                  Throwable thrown)

      Description copied from interface: `Logger`
      Logs the given message at warn level, with Throwable information.
      Parameters:
        `msg` - the message to log
        `thrown` - the Throwable to log

    - #### info

          public void info(String msg,
                  Object... args)

      Description copied from interface: `Logger`
      Formats and logs at info level.
      Parameters:
        `msg` - the formatting string
        `args` - the optional arguments

    - #### info

          public void info(Throwable thrown)

      Description copied from interface: `Logger`
      Logs the given Throwable information at info level
      Parameters:
        `thrown` - the Throwable to log

    - #### info

          public void info(String msg,
                  Throwable thrown)

      Description copied from interface: `Logger`
      Logs the given message at info level, with Throwable information.
      Parameters:
        `msg` - the message to log
        `thrown` - the Throwable to log

    - #### debug

          public void debug(String msg,
                   Object... args)

      Description copied from interface: `Logger`
      Formats and logs at debug level.
      Parameters:
        `msg` - the formatting string
        `args` - the optional arguments

    - #### debug

          public void debug(Throwable thrown)

      Description copied from interface: `Logger`
      Logs the given Throwable information at debug level
      Parameters:
        `thrown` - the Throwable to log

    - #### debug

          public void debug(String msg,
                   Throwable thrown)

      Description copied from interface: `Logger`
      Logs the given message at debug level, with Throwable information.
      Parameters:
        `msg` - the message to log
        `thrown` - the Throwable to log

    - #### isDebugEnabled

          public boolean isDebugEnabled()

      Returns:
        whether the debug level is enabled

    - #### setDebugEnabled

          public void setDebugEnabled(boolean enabled)

      Description copied from interface: `Logger`
      Mutator used to turn debug on programmatically.
      Parameters:
        `enabled` - whether to enable the debug level

    - #### newLogger

          protected Logger newLogger(String fullname)

      Create a Child Logger of this Logger.
      Specified by:
        `newLogger` in class `AbstractLogger`

    - #### ignore

          public void ignore(Throwable ignored)

      Description copied from interface: `Logger`
      Ignore an exception.

      This should be used rather than an empty catch block.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.